package com.liquidnet.service.dragon.constant;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: DragonErrorCodeEnum
 * @Package com.liquidnet.service.dragon.constant
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/7/13 20:25
 */
public enum DragonErrorCodeEnum {
    TRADE_PAY_WAY_ERROR("PAY0010001","错误的支付方式"),
    TRADE_WEIXIN_ERROR("PAY0010002","微信异常"),
    TRADE_ORDER_ERROR("PAY0010003","错误的支付方式"),

    TRADE_ORDER_STATUS_NOT_SUCCESS ("PAY0010004","交易不成功"),
    TRADE_ALIPAY_ERROR ("PAY0010005","支付宝异常"),

    TRADE_PARAM_ERROR("PAY0010006","支付参数异常"),

    TRADE_SCAN_ERROR("PAY0010011","用户提供的码错误"),

    TRADE_ERROR_NOT_EXISTS("PAY0010007","订单不存在！"),

    TRADE_ERROR_HAS_PAID("PAY0010008","订单已经支付成功！"),

    TRADE_ALIPAY_SIGN_ERROR("PAY0010009","支付宝签名异常！"),

    TRADE_ALIPAY_QUERY_ERROR("PAY0010010","支付宝订单查询失败！"),

    TRADE_UNIONPAY_QUERY_ERROR("PAY0040002","银联订单查询失败,因缓存消失，查询不到订单导致！"),

    TRADE_WEPAY_SIGN_ERROR("PAY0020001","微信签名异常！"),

    TRADE_DOUYINPAY_SIGN_ERROR("PAY0030001","抖音签名异常！"),

    TRADE_DOUYINPAY_QUERY_ERROR("PAY0030002","抖音查询 throw new LiquidnetServiceException(DragonErrorCodeEnum.TRADE_PARAM_ERROR.getCode(),DragonErrorCodeEnum.TRADE_PARAM_ERROR.getMessage());支付订单异常！"),

    TRADE_UNIONPAY_SIGN_ERROR("PAY0040001","银联签名异常！"),

    TRADE_WEPAY_QUERY_ERROR("PAY0020002","微信订单查询失败！");

    private String code;
    private String message;
    DragonErrorCodeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
